Subject: [Tools-discuss] handling "replaced-by" via the datatracker [Re: latest missing replaced-by information]

From: Martin Vigoureux <[email-masked]>
Date: Fri, 11 May 2012 10:48:49 +0200

Hello,

following up on that discussion, unless I am mistaken I do not see any 
way to manage the replaced-by status of drafts in the datatracker.
This applies both to drafts with a revision number greater or equal than 
01 and to newly adopted drafts.
If I am wrong I'd be glad if one of you could indicate me the way to
manage the replaced-by information via the tracker.
Otherwise, I think it would definitely be good if chairs could manage
this status via the tracker, and there seem to be some support for that.

Thanks
martin

Le 18/04/2012 16:18, [email-masked] a écrit :
> RFC 6175 (WG Datatracker requirements) in Section 6.2 talks about...
>
> |  This will facilitate the Datatracker's ability to correctly
> |  capture "Replaces" information for WG drafts and "Replaced by"
> |  information for the individual submission I-Ds that are replaced
> |  by WG drafts.
>
> This is written in the context of pre-approval of WG drafts
> before submission (which so far seems not to be implemented
> in the Datatracker WG Chair user interface), but in the
> discussion on the draft for RFC 6175, IIRC it was clear that
> during approval of a WG -00 draft, a Chair needs to be able to
> supply the "Replaces" metadata -- or correct the preliminary
> guesses made by the system.  Somehow, this seems to have been
> lost during operation on the many change requests on the draft,
> but IMHO this requirement is implied in RFC 6175.
> It also has been discussed in the draft stage of RFC 6175 that
> the I-D upload tool should allow an I-D submitter to supply
> "replaces" metadata, without leading to manual processing
> of the submission by the Secretariat (as is the case for all
> metadata changes intended by the submitter); in the case of a
> WG draft adoption( WG -00 draft), the WG Chair UI then should
> allow to edit these metadata (if needed) before accepting the
> submission.
>
> I haven't a useful example at hands currently to exercise the
> procedure, but from a more detailed reading of RFC 6175, it looks
> like the desired functionality is seen in RFC 6175 part of WG Chair
> operation on the *individual* I-Ds being adopted, not on the
> 'draft-ietf-' ones.
>
> So could please someone with a pending draft adoption check whether
> they can enter the "replaced by" information for the individual I-D?
>
>
> Kind regards,
>    Alfred HÎnes.
>

---

From: Martin Vigoureux <[email-masked]>
Date: Fri, 11 May 2012 13:02:09 +0200

great! Thanks.

-m

Le 11/05/2012 11:24, Adrian Farrel a écrit :
> Hi,
>
> This popped up at the IESG retreat and Robert agreed to put it on the Tools Team
> To Do list.
>
> Is this a good time to remind you all of the code sprint that takes place on the
> day before each IETF meeting? Come along and help make the features you want to
> use a reality.
>
> Cheers,
> Adrian
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Martin Vigoureux
>> Sent: 11 May 2012 09:49
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: handling "replaced-by" via the datatracker [Re: latest missing
> replaced-
>> by information]
>>
>> Hello,
>>

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 11 May 2012 10:24:52 +0100

Hi,

Cheers,
Adrian

replaced-